<?php

namespace Litecms\Packageplan\Repositories\Presenter;

use League\Fractal\TransformerAbstract;
use Hashids;

class PackageplanTransformer extends TransformerAbstract
{
    public function transform(\Litecms\Packageplan\Models\Packageplan $packageplan)
    {
        return [
            'id'                => $packageplan->getRouteKey(),
            'key'               => [
                'public'    => $packageplan->getPublicKey(),
                'route'     => $packageplan->getRouteKey(),
            ], 
            'name'              => $packageplan->name,
            'url'               => [
                'public'    => trans_url('packageplan/'.$packageplan->getPublicKey()),
                'user'      => guard_url('packageplan/packageplan/'.$packageplan->getRouteKey()),
            ], 
            'status'            => trans('app.'.$packageplan->status),
            'created_at'        => format_date($packageplan->created_at),
            'updated_at'        => format_date($packageplan->updated_at),
        ];
    }
}